Newer Version Available
Quick Actions
Returns a list of global actions and object-specific actions. This resource is available in REST API version 28.0 and later. When working with actions, also refer to SObject Quick Actions.
- URI
- /vXX.X/quickActions/
- Formats
- JSON, XML
- HTTP Method
- HEAD, GET, POST
- Authentication
- Authorization: Bearer token
- Parameters
- None required
- Considerations
- Add all required fields to an object before you create a quick action for that object. If you add a required field after creating a quick action, the field won’t appear in the quick action’s describe results. Then, when the quick action runs, the field won’t be available and an error occurs for the missing field. If you don’t want the required field to appear in the quick action’s layout, set a default value for the field.
- Example usage for getting global quick actions
-
1curl https://yourInstance.salesforce.com/services/data/v28.0/quickActions/ -H "Authorization: Bearer token" - Example for creating a contact using an action
-
1curl https://yourInstance.salesforce.com/services/data/v28.0/quickActions/CreateContact -H 'Authorization: Bearer access_token -H "Content-Type: application/json" -d @newcontact.json' - Example JSON request body newcontact.json file
-
1{ 2 3 "record" : { "LastName" : "Smith" } 4 5}